
#include <stdio.h>
#include <stdlib.h>

#include "sdlrecord.h"
#ifdef __linux__
#define __USE_GNU 1  
#endif
#include <dlfcn.h>


void *get_dlfn(char *name) {
    int (*fn)();

    if(!(fn=(int (*)()) dlsym(RTLD_NEXT,name))) {
	fprintf(stderr,"Error opening sdl lib for fn %s: %s\n",name,dlerror());
	exit(1);
    }
    return(fn);
}
