
#ifndef _SDLREPLAY_H_
#define _SDLREPLAY_H_

#include <sys/time.h>

#define DEFAULT_FILE "/var/tmp/sdl_event_log"
#define MAGIC 1234
#define FILEVERSION 1

/* at some point I will probably add information about things like initial
configuration, window size, etc.  But for now we'll just record the start
time.  Also, note these are NOT cross platform.  */
typedef struct {
   int magic;
   int version;
   struct timeval starttime; 
} sdlr_header; 

void *get_dlfn(char *name);


#endif

